Apache JMeter

## org.apache.jmeter.gui.action
Class RegexpSearcher

    java.lang.Object
      org.apache.jmeter.gui.action.RegexpSearcher

All Implemented Interfaces:
  Searcher

    public class RegexpSearcher

extends Object
implements Searcher

Regexp search implementation

Constructor Summary
`RegexpSearcher(boolean caseSensitive, String regexp)` Constructor

Method Summary
`boolean` `search(List<String> textTokens)` Implements the search

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegexpSearcher

    public RegexpSearcher(boolean caseSensitive,
                          String regexp)

  Constructor

  Parameters:
    `caseSensitive` - is search case sensitive
    `regexp` - Regexp to search

Method Detail

### search

    public boolean search(List<String> textTokens)

  Implements the search

  Specified by:
    `search` in interface `Searcher`
  Parameters:
    `textTokens` - List<String> content to be searched
  Returns:
    true if search on textTokens is successful

Apache JMeter

Copyright © 1998-2012 Apache Software Foundation. All Rights Reserved.